# DXGfxLib.Script Class Reference

The script class. This class contains the logic to build. More...

Collaboration diagram for DXGfxLib.Script:

[legend]

List of all members.

## Public Member Functions
| Script ()
| Default constructor. We build one bug string which server as the 'skeleton' of the class deriving from ExecutableBlock that will be a receptable for our script.
void | SetParent (SceneObject parent)
| This set the parent of the script.
void | SetScene (Scene scene)
| This set the scene associated with the script.
string | GetCodeSrc ()
| If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.
string | GetClickCodeSrc ()
| If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.
string | GetCollisionCodeSrc ()
| If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.
string | GetVarSrc ()
| Member variable definition code.
string | GetSrcForCompilation ()
| Get the source of our class deriving for ExecutableBlock.
void | UpdateVarSrc (string src)
| When you want to set the code defining the variable use this.
void | UpdateCodeSrc (string src)
| When you want to set the code of the script that will be run use this method.
void | UpdateClickCodeSrc (string src)
| When you want to set the code of the script that will be run use this method.
void | UpdateCollisionCodeSrc (string src)
| When you want to set the code of the script that will be run use this method.
bool | Reset ()
| This reset the script. StartTime value and everything!!
virtual void | Evaluate (double appTime, float elapsedTime)
| Each script will be a new class deriving from Script which will override the Evaluate method!
virtual void | Clicked (double appTime, float elapsedTime)
| Scene objects have clicked method, when they are clicked they are going to react to that in that method and they will also call this metod on their associated script if they have any.
virtual void | Collision (double appTime, float elapsedTime, SceneObject collidingObject)
| Scene objects can collide with other objects. When that happen they can react in their Collision method. They should also call this method on their associated script if they have any. Thus the user can script reaction to collision.
| Script ()
| Default constructor. We build one bug string which server as the 'skeleton' of the class deriving from ExecutableBlock that will be a receptable for our script.
void | SetParent (SceneObject parent)
| This set the parent of the script.
void | SetScene (Scene scene)
| This set the scene associated with the script.
string | GetCodeSrc ()
| If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.
string | GetClickCodeSrc ()
| If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.
string | GetCollisionCodeSrc ()
| If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.
string | GetVarSrc ()
| Member variable definition code.
string | GetSrcForCompilation ()
| Get the source of our class deriving for ExecutableBlock.
void | UpdateVarSrc (string src)
| When you want to set the code defining the variable use this.
void | UpdateCodeSrc (string src)
| When you want to set the code of the script that will be run use this method.
void | UpdateClickCodeSrc (string src)
| When you want to set the code of the script that will be run use this method.
void | UpdateCollisionCodeSrc (string src)
| When you want to set the code of the script that will be run use this method.
bool | Reset ()
| This reset the script. StartTime value and everything!!
virtual void | Evaluate (double appTime, float elapsedTime)
| Each script will be a new class deriving from Script which will override the Evaluate method!
virtual void | Clicked (double appTime, float elapsedTime)
| Scene objects have clicked method, when they are clicked they are going to react to that in that method and they will also call this metod on their associated script if they have any.
virtual void | Collision (double appTime, float elapsedTime, SceneObject collidingObject)
| Scene objects can collide with other objects. When that happen they can react in their Collision method. They should also call this method on their associated script if they have any. Thus the user can script reaction to collision.
## Public Attributes
string | fileName = ""
| At some point it is desirable to persist the script to a *.cs file (at the moment scripts are only C# though this might be easily changed).
string | name = ""
| Script name.
## Properties
string | VarSrc`[get, set]`
string | CodeSrc`[get, set]`
string | ClickCodeSrc`[get, set]`
string | CollisionCodeSrc`[get, set]`

## Detailed Description

The script class. This class contains the logic to build.

Definition at line 88 of file Script.cs.

## Constructor & Destructor Documentation

DXGfxLib.Script.Script | ( |  | ) |

Default constructor. We build one bug string which server as the 'skeleton' of the class deriving from ExecutableBlock that will be a receptable for our script.

Definition at line 191 of file Script.cs.

DXGfxLib.Script.Script | ( |  | ) |

Default constructor. We build one bug string which server as the 'skeleton' of the class deriving from ExecutableBlock that will be a receptable for our script.

Definition at line 191 of file Script.cs.

## Member Function Documentation

virtual void DXGfxLib.Script.Clicked | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Scene objects have clicked method, when they are clicked they are going to react to that in that method and they will also call this metod on their associated script if they have any.

Definition at line 404 of file Script.cs.

Here is the call graph for this function:

virtual void DXGfxLib.Script.Clicked | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Scene objects have clicked method, when they are clicked they are going to react to that in that method and they will also call this metod on their associated script if they have any.

Definition at line 404 of file Script.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

virtual void DXGfxLib.Script.Collision | ( | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Scene objects can collide with other objects. When that happen they can react in their Collision method. They should also call this method on their associated script if they have any. Thus the user can script reaction to collision.

Parameters:

  | appTime |
  | elapsedTime |
  | collidingObject |

Definition at line 449 of file Script.cs.

Here is the call graph for this function:

virtual void DXGfxLib.Script.Collision | ( | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Scene objects can collide with other objects. When that happen they can react in their Collision method. They should also call this method on their associated script if they have any. Thus the user can script reaction to collision.

Parameters:

  | appTime |
  | elapsedTime |
  | collidingObject |

Definition at line 449 of file Script.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

virtual void DXGfxLib.Script.Evaluate | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Each script will be a new class deriving from Script which will override the Evaluate method!

Definition at line 367 of file Script.cs.

Here is the call graph for this function:

virtual void DXGfxLib.Script.Evaluate | ( | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Each script will be a new class deriving from Script which will override the Evaluate method!

Definition at line 367 of file Script.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

string DXGfxLib.Script.GetClickCodeSrc | ( |  | ) |

If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.

Returns:

Definition at line 264 of file Script.cs.

string DXGfxLib.Script.GetClickCodeSrc | ( |  | ) |

If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.

Returns:

Definition at line 264 of file Script.cs.

Here is the caller graph for this function:

string DXGfxLib.Script.GetCodeSrc | ( |  | ) |

If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.

Returns:

Definition at line 255 of file Script.cs.

string DXGfxLib.Script.GetCodeSrc | ( |  | ) |

If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.

Returns:

Definition at line 255 of file Script.cs.

Here is the caller graph for this function:

string DXGfxLib.Script.GetCollisionCodeSrc | ( |  | ) |

If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.

Returns:

Definition at line 273 of file Script.cs.

string DXGfxLib.Script.GetCollisionCodeSrc | ( |  | ) |

If you want to get a string containing the script code use this. This is in fact the code of the Evaluate method.

Returns:

Definition at line 273 of file Script.cs.

Here is the caller graph for this function:

string DXGfxLib.Script.GetSrcForCompilation | ( |  | ) |

Get the source of our class deriving for ExecutableBlock.

Returns:

Definition at line 291 of file Script.cs.

string DXGfxLib.Script.GetSrcForCompilation | ( |  | ) |

Get the source of our class deriving for ExecutableBlock.

Returns:

Definition at line 291 of file Script.cs.

Here is the caller graph for this function:

string DXGfxLib.Script.GetVarSrc | ( |  | ) |

Member variable definition code.

Returns:

Definition at line 282 of file Script.cs.

string DXGfxLib.Script.GetVarSrc | ( |  | ) |

Member variable definition code.

Returns:

Definition at line 282 of file Script.cs.

Here is the caller graph for this function:

bool DXGfxLib.Script.Reset | ( |  | ) |

This reset the script. StartTime value and everything!!

Returns:

Definition at line 352 of file Script.cs.

bool DXGfxLib.Script.Reset | ( |  | ) |

This reset the script. StartTime value and everything!!

Returns:

Definition at line 352 of file Script.cs.

Here is the caller graph for this function:

void DXGfxLib.Script.SetParent | ( | SceneObject | parent | ) |

This set the parent of the script.

Parameters:

  | parent |

This is ugly, change it. Create a IScriptableObject interface and make both the scene object and the scene implement that interface (this is longer than what we do below though so this will be done later.

Definition at line 221 of file Script.cs.

void DXGfxLib.Script.SetParent | ( | SceneObject | parent | ) |

This set the parent of the script.

Parameters:

  | parent |

This is ugly, change it. Create a IScriptableObject interface and make both the scene object and the scene implement that interface (this is longer than what we do below though so this will be done later.

Definition at line 221 of file Script.cs.

Here is the caller graph for this function:

void DXGfxLib.Script.SetScene | ( | Scene | scene | ) |

This set the scene associated with the script.

Parameters:

  | scene |

Definition at line 246 of file Script.cs.

void DXGfxLib.Script.SetScene | ( | Scene | scene | ) |

This set the scene associated with the script.

Parameters:

  | scene |

Definition at line 246 of file Script.cs.

Here is the caller graph for this function:

void DXGfxLib.Script.UpdateClickCodeSrc | ( | string | src | ) |

When you want to set the code of the script that will be run use this method.

Parameters:

  | src |

Definition at line 330 of file Script.cs.

void DXGfxLib.Script.UpdateClickCodeSrc | ( | string | src | ) |

When you want to set the code of the script that will be run use this method.

Parameters:

  | src |

Definition at line 330 of file Script.cs.

Here is the caller graph for this function:

void DXGfxLib.Script.UpdateCodeSrc | ( | string | src | ) |

When you want to set the code of the script that will be run use this method.

Parameters:

  | src |

Definition at line 319 of file Script.cs.

void DXGfxLib.Script.UpdateCodeSrc | ( | string | src | ) |

When you want to set the code of the script that will be run use this method.

Parameters:

  | src |

Definition at line 319 of file Script.cs.

Here is the caller graph for this function:

void DXGfxLib.Script.UpdateCollisionCodeSrc | ( | string | src | ) |

When you want to set the code of the script that will be run use this method.

Parameters:

  | src |

Definition at line 341 of file Script.cs.

void DXGfxLib.Script.UpdateCollisionCodeSrc | ( | string | src | ) |

When you want to set the code of the script that will be run use this method.

Parameters:

  | src |

Definition at line 341 of file Script.cs.

Here is the caller graph for this function:

void DXGfxLib.Script.UpdateVarSrc | ( | string | src | ) |

When you want to set the code defining the variable use this.

Parameters:

  | src |

Definition at line 308 of file Script.cs.

void DXGfxLib.Script.UpdateVarSrc | ( | string | src | ) |

When you want to set the code defining the variable use this.

Parameters:

  | src |

Definition at line 308 of file Script.cs.

Here is the caller graph for this function:

## Member Data Documentation

string DXGfxLib.Script::fileName = ""

At some point it is desirable to persist the script to a *.cs file (at the moment scripts are only C# though this might be easily changed).

Definition at line 109 of file Script.cs.

string DXGfxLib.Script::name = ""

Script name.

Definition at line 114 of file Script.cs.

## Property Documentation

string DXGfxLib.Script::ClickCodeSrc`[get, set]`

Definition at line 147 of file Script.cs.

string DXGfxLib.Script::CodeSrc`[get, set]`

Definition at line 136 of file Script.cs.

string DXGfxLib.Script::CollisionCodeSrc`[get, set]`

Definition at line 158 of file Script.cs.

string DXGfxLib.Script::VarSrc`[get, set]`

Definition at line 123 of file Script.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Script.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Script.cs